/*
Copyright (C) 2009 -  Claudio Salvadori 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef FORM__ENUM_H_
#define FORM__ENUM_H_

/**
 *\file form_enum.h
 *
 *\date  Created on: 22-apr-2009
 *\author  Author: Claudio Salvadori
 *\brief Header to enumerate the return value of CFormatter class
 */

/**
*\brief Enumeration of possible result IFormatter interface class method.
*/
enum f_ret{
	F_RET_OK		=	0,	/**<Ok*/
	F_META_ERR		=	1,	/**<Metadata vector is empty*/
	F_H_NULL_ERR		=	2,	/**<Header vector is pointed by a NULL pointer*/
	F_H_EMPTY_ERR		=	3,	/**<Header vector is empty*/
	F_D_NULL_ERR		=	4,  	/**<Data vector is pointed by a NULL pointer*/
	F_D_EMPTY_ERR		=	5,  	/**<Data vector is empty*/
};
#endif
